console.log('此功能由Sogili在WooYun提出，URL：http://zone.wooyun.org/content/7757');
for(var i=0,tags=document.querySelectorAll('iframe[src],frame[src],script[src],link[rel=stylesheet],object[data],embed[src]'),tag;tag=tags[i];i++){ 
  var a = document.createElement('a'); 
  a.href = tag.src||tag.href||tag.data; 
  if(a.hostname!=location.hostname){ 
    console.warn("%c"+location.hostname+' 发现第三方资源['+tag.localName+']:'+a.href,"color:red;font-size:13px"); 
  } 
}

chrome.extension.sendRequest({xdomain: location.hostname}, function(response) { 
  console.warn("受HttpOnly保护的Cookie数量共有："+"%c"+response.result.length+"条","color:green;font-size:15px");
  for(var i=0;i<response.result.length;i++){
    console.warn("第"+(i+1)+"条："+"%c"+response.result[i],"color:green;font-size:12px;"); 
  }
  var Temp =[];
  var html = document.documentElement.outerHTML;
  response.Xcookie.forEach(function(item) {
      if (html.indexOf(item) >= 0) {
         Temp.push(item);
       }
  });
  
  for(var x=0;x<Temp.length;x++){
    for(var i=0;i<response.result.length;i++){
      if(response.result[i].indexOf(Temp[x])>=0){
        console.error("%c"+"当前页面泄露的Cookie："+"\n"+response.result[i],"color:red;font-size:13px");
      }
    }
  }
   console.warn("当前页面泄露的Cookie共有："+"%c"+Temp.length+"条","color:red;font-size:15px");
   //下面的代码为发现http cookie泄露就提醒 如果需要请手动去除多行注释
  if(Temp.length>=1){
    alert("当前页面泄露的Cookie共有："+Temp.length+"条，请打开Console查看！");
  }
  
  console.log("%c"+"当前网站的Tld为:"+response.tld,"color:blue");

});



